API for Private Tokens
This page describes management of Private tokens via API.
What can you do?
Create new private token
Authorizations
AuthorizationstringRequired
Authenticate using SaaS Private token
Body
namestring · min: 1Required
expiration_timestring · date-timeRequired
Responses
201Success
application/json
idintegerRead-onlyRequired
namestringRequired
expiration_timestring · date-timeRequired
datastringRead-onlyRequired
400Error
application/json
post
/api/v1/auth/private_tokens/List your private tokens
Authorizations
AuthorizationstringRequired
Authenticate using SaaS Private token
Query parameters
orderingstringOptional
Which field to use when ordering the results.
qstringOptional
A search term.
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
Responses
200Success
application/json
get
/api/v1/auth/private_tokens/200Success
Revoke your private token
Last updated
Was this helpful?